module Senders
  class Email
    def self.send_messages(messages)
      messages.each do |message|
        Mail.deliver do
          from Config.option(:smtp, :from_email)
          to Config.option(:smtp, :to_email)
          subject "New Facebook message on chat #{message.message_thread}"
          body message.text
        end
      end
    end
  end
end
